nvme_get_log_discovery(2)

NAME
nvme_get_log_discovery - Retrieve Discovery log page

SYNOPSIS
int nvme_get_log_discovery (int fd , bool rae , __u32 offset , __u32 len , void *log );

ARGUMENTS

fd  File descriptor of nvme device

rae Retain asynchronous events

offset
    Offset of this log to retrieve

len The allocated size for this portion of the log

log User address to store the discovery log

DESCRIPTION
Supported only by fabrics discovery controllers, returning discovery records.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.